PHP Manual
Prev |  | Next

# dbplus_getlock

(4.1.0 - 4.2.3 only, PECL)

dbplus_getlock -- Get a write lock on a tuple

## Description

int dbplus_getlock ( resource relation, string tuple )

Requests a write lock on the specified `tuple`.

## Parameters

`relation`

  A relation opened by dbplus_open().

`tuple`

## Return Values

Returns zero on success or a non-zero error code, especially `DBPLUS_ERR_WLOCKED` on failure.

## Notes

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

## See Also

dbplus_freelock()
dbplus_freerlocks()
dbplus_freealllocks()

Prev | Home | Next
dbplus_freerlocks | Up | dbplus_getunique